Open Inventory / Docs
EndpunkteAiAiImage models

List image-generation models enabled for this deployment

Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.

GET
/ai/image-models

Requires the ai scope. Only allowlisted models with configured provider credentials are returned.

Authentifizierung

bearerAuth
headerAuthentifizierungBearer <inv_ token>

Header-Parameter

X-Organization-ID?string

Organization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.

Formatuuid

Antwortinhalt

Available image-generation models and the deployment default

application/json
  1. response
models*array<>
defaultModelId*string|null
Beispielanfrage
curl -X GET 'https://inventory.example.com/api/v1/ai/image-models'
Beispielantwort
{  "models": [    {      "id": "string",      "provider": "openai",      "model": "string",      "label": "string"    }  ],  "defaultModelId": "string"}